🔗 REST APIOHLCV

Latest data for a market

Get OHLCV latest timeseries data for a specific market, returned in time descending order.

GET
/v1/ohlcv/{exchange_id}/{market_id}/latest

Authorization

headerAuthorization<token>

API Key is required to access the endpoints

Path Parameters

exchange_id*string

The unique identifier of the exchange.

market_id*string

The unique identifier of the market, including the outcome (e.g., will-it-rain-tomorrow_yes).

Query Parameters

period_id*string

Identifier of requested timeseries period (e.g. 1DAY or 1HRS)

limit?integer

Amount of items to return (mininum is 1, maximum is 100000, default value is 100)

Formatint32
Default100

Response Body

successful operation

  1. response
[index: integer]?

Represents a timeseries item with price and volume information.

curl -X GET 'https://api.prediction-markets.finfeedapi.com/v1/ohlcv/string/string/latest?period_id=string'
[  {    "time_period_start": "2019-08-24T14:15:22Z",    "time_period_end": "2019-08-24T14:15:22Z",    "time_open": "2019-08-24T14:15:22Z",    "time_close": "2019-08-24T14:15:22Z",    "price_open": 0,    "price_high": 0,    "price_low": 0,    "price_close": 0,    "volume_traded": 0.1,    "trades_count": 0  }]